org.codehaus.plexus.container.initialization

## Class AbstractCoreComponentInitializationPhase

- java.lang.Object
- - org.codehaus.plexus.container.initialization.AbstractContainerInitializationPhase
  - - org.codehaus.plexus.container.initialization.AbstractCoreComponentInitializationPhase

All Implemented Interfaces:
  ContainerInitializationPhase

Direct Known Subclasses:
  InitializeComponentDiscovererManagerPhase, InitializeComponentFactoryManagerPhase, InitializeContainerConfigurationSourcePhase, InitializeLoggerManagerPhase, InitializeUserConfigurationSourcePhase

    public abstract class AbstractCoreComponentInitializationPhase
    extends AbstractContainerInitializationPhase

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.container.initialization.ContainerInitializationPhase

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCoreComponentInitializationPhase()`

### Method Summary

Methods
`void` `execute(ContainerInitializationContext context)`
`protected abstract void` `initializeCoreComponent(ContainerInitializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCoreComponentInitializationPhase

    public AbstractCoreComponentInitializationPhase()

### Method Detail

#### execute

    public void execute(ContainerInitializationContext context)
                 throws ContainerInitializationException

Throws:
  `ContainerInitializationException`

#### initializeCoreComponent

    protected abstract void initializeCoreComponent(ContainerInitializationContext context)
                                             throws ContainerInitializationException

Throws:
  `ContainerInitializationException`